# FTXUI: CapturedMouseInterface Class Reference

Loading...
Searching...
No Matches
CapturedMouseInterface Class Reference

`#include <captured_mouse.hpp>`

## Public Member Functions

| CapturedMouseInterface ()=default
| CapturedMouseInterface (const CapturedMouseInterface &)=default
| CapturedMouseInterface (CapturedMouseInterface &&)=delete
CapturedMouseInterface & | operator= (const CapturedMouseInterface &)=default
CapturedMouseInterface & | operator= (CapturedMouseInterface &&)=delete
virtual | ~CapturedMouseInterface ()=default

## Detailed Description

Definition at line 11 of file captured_mouse.hpp.

## Constructor & Destructor Documentation

## CapturedMouseInterface() [1/3]

CapturedMouseInterface | ( |  | ) |

default

## CapturedMouseInterface() [2/3]

CapturedMouseInterface | ( | const CapturedMouseInterface & |  | ) |

default

## CapturedMouseInterface() [3/3]

CapturedMouseInterface | ( | CapturedMouseInterface && |  | ) |

delete

## ~CapturedMouseInterface()

virtual ~CapturedMouseInterface | ( |  | ) |

virtualdefault

## Member Function Documentation

## operator=() [1/2]

CapturedMouseInterface & operator= | ( | const CapturedMouseInterface & |  | ) |

default

## operator=() [2/2]

CapturedMouseInterface & operator= | ( | CapturedMouseInterface && |  | ) |

delete

The documentation for this class was generated from the following file:

- captured_mouse.hpp